Bug 324930 - Crashed updating thumbnails(fast)
Summary: Crashed updating thumbnails(fast)
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Maintenance-Thumbs (show other bugs)
Version: 3.4.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-09-15 14:15 UTC by cirdan52
Modified: 2017-08-12 12:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments
New crash information added by DrKonqi (8.46 KB, text/plain)
2013-10-12 12:39 UTC, cirdan52
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cirdan52 2013-09-15 14:15:04 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.11.1
Qt Version: 4.8.5
Operating System: Linux 3.11.0-27.g0a1c41f-desktop i686
Distribution: "openSUSE 12.3 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

Maintainence updating thumbnails (fast) ran for a short time. Memory at the time was 2,649,728K

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xaa3ab780 (LWP 11661))]

Thread 7 (Thread 0xa951bb40 (LWP 11662)):
#0  0xb435c792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb49ed85c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb579c570 in wait (time=4294967295, this=0x92ce748) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x92ce6bc, mutex=0x92ce6b8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0x0821b0ea in Digikam::ScanController::run (this=0x92b9b30) at /usr/src/debug/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#5  0xb579bf98 in QThreadPrivate::start (arg=0x92b9b30) at thread/qthread_unix.cpp:338
#6  0xb4358b5e in start_thread () from /lib/libpthread.so.0
#7  0xb49e016e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa8bffb40 (LWP 11663)):
#0  0xb49d5401 in poll () from /lib/libc.so.6
#1  0xb2c6808b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb2c59420 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb2c59581 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb58e0bef in QEventDispatcherGlib::processEvents (this=0xa8200480, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0xb58ad44c in QEventLoop::processEvents (this=this@entry=0xa8bff1e8, flags=...) at kernel/qeventloop.cpp:149
#6  0xb58ad741 in QEventLoop::exec (this=0xa8bff1e8, flags=...) at kernel/qeventloop.cpp:204
#7  0xb5798b8c in QThread::exec (this=0x92cf558) at thread/qthread.cpp:536
#8  0xb588ba4d in QInotifyFileSystemWatcherEngine::run (this=0x92cf558) at io/qfilesystemwatcher_inotify.cpp:256
#9  0xb579bf98 in QThreadPrivate::start (arg=0x92cf558) at thread/qthread_unix.cpp:338
#10 0xb4358b5e in start_thread () from /lib/libpthread.so.0
#11 0xb49e016e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa81ffb40 (LWP 11675)):
#0  0xb435c792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb49ed85c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb579c570 in wait (time=4294967295, this=0x93607d0) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x941c7e8, mutex=0x941c7e4, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0xb69725fc in Digikam::ParkingThread::run (this=0x941c7d8) at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:119
#5  0xb579bf98 in QThreadPrivate::start (arg=0x941c7d8) at thread/qthread_unix.cpp:338
#6  0xb4358b5e in start_thread () from /lib/libpthread.so.0
#7  0xb49e016e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x9d6ffb40 (LWP 11751)):
#0  0xb435c792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb49ed85c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb579c570 in wait (time=4294967295, this=0xc3b62c0) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0xc3321dc, mutex=0xc3321e0, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0xb6c19658 in KDcrawIface::RActionThreadBase::run() () from /usr/lib/libkdcraw.so.22
#5  0xb579bf98 in QThreadPrivate::start (arg=0xc2dd5d8) at thread/qthread_unix.cpp:338
#6  0xb4358b5e in start_thread () from /lib/libpthread.so.0
#7  0xb49e016e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x9f6ffb40 (LWP 11752)):
#0  0xb435c792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb49ed85c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb579c570 in wait (time=4294967295, this=0xca136f8) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0xca136c8, mutex=0xca136c4, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0xb6967412 in Digikam::ThumbnailImageCatcher::waitForThumbnails (this=0xc8a6c18) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailloadthread.cpp:1187
#5  0x08159206 in Digikam::ThumbsTask::run (this=0xc8a6b40) at /usr/src/debug/digikam-3.4.0/core/utilities/maintenance/thumbstask.cpp:84
#6  0x0c8a6b40 in ?? ()
#7  0x00000000 in ?? ()

Thread 2 (Thread 0x9cd8bb40 (LWP 11756)):
[KCrash Handler]
#5  0xb4930245 in raise () from /lib/libc.so.6
#6  0xb4931ac3 in abort () from /lib/libc.so.6
#7  0xb4b2e28d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#8  0xb4b2bef3 in ?? () from /usr/lib/libstdc++.so.6
#9  0xb4b2bf2f in std::terminate() () from /usr/lib/libstdc++.so.6
#10 0xb4b2c225 in __cxa_rethrow () from /usr/lib/libstdc++.so.6
#11 0xb578edf2 in QThreadPoolThread::run (this=0xa6a0550) at concurrent/qthreadpool.cpp:114
#12 0xb579bf98 in QThreadPrivate::start (arg=0xa6a0550) at thread/qthread_unix.cpp:338
#13 0xb4358b5e in start_thread () from /lib/libpthread.so.0
#14 0xb49e016e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xaa3ab780 (LWP 11661)):
#0  0xb435c792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb49ed85c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb579c570 in wait (time=4294967295, this=0x9e4a7b0) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x9e4a45c, mutex=0x9e4a458, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0xb6974784 in Digikam::DynamicThread::wait (this=this@entry=0x9e4a770, locker=...) at /usr/src/debug/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:351
#5  0xb6974a39 in Digikam::DynamicThread::shutDown (this=0x9e4a770) at /usr/src/debug/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:222
#6  0xb6947528 in Digikam::ManagedLoadSaveThread::shutDown (this=0x9e4a770) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/managedloadsavethread.cpp:94
#7  0xb6963101 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread (this=0x9e4a770, __in_chrg=<optimized out>) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailloadthread.cpp:177
#8  0xb6963272 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread (this=0x9e4a770, __in_chrg=<optimized out>) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailloadthread.cpp:180
#9  0xb6960bc2 in destroy () at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailloadthread.cpp:153
#10 0xb677a9f9 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0xb6ba57c4 <Digikam::._250::operator->()::cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#11 0xb4933211 in __run_exit_handlers () from /lib/libc.so.6
#12 0xb493329d in exit () from /lib/libc.so.6
#13 0xb4d8d1b8 in ?? () from /usr/lib/libQtGui.so.4
#14 0xb5ee7f99 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#15 0xb5ee7fd4 in ?? () from /usr/lib/libkdeui.so.5
#16 0xb44eb4b4 in _XIOError () from /usr/lib/libX11.so.6
#17 0xb44e8d0f in _XEventsQueued () from /usr/lib/libX11.so.6
#18 0xb44d9620 in XEventsQueued () from /usr/lib/libX11.so.6
#19 0xb4dc859a in ?? () from /usr/lib/libQtGui.so.4
#20 0xb2c58e67 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#21 0xb2c593b2 in ?? () from /usr/lib/libglib-2.0.so.0
#22 0xb2c59581 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#23 0xb58e0bd1 in QEventDispatcherGlib::processEvents (this=0x9193ff8, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#24 0xb4dc879a in ?? () from /usr/lib/libQtGui.so.4
#25 0xb58ad44c in QEventLoop::processEvents (this=this@entry=0xbfafb158, flags=...) at kernel/qeventloop.cpp:149
#26 0xb58ad741 in QEventLoop::exec (this=0xbfafb158, flags=...) at kernel/qeventloop.cpp:204
#27 0xb58b2aaa in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#28 0xb4d14ad4 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#29 0x080c60d6 in main (argc=5, argv=0xbfafb4b4) at /usr/src/debug/digikam-3.4.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 324711, bug 324516, bug 324442, bug 324093, bug 323993.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-09-21 21:26:52 UTC
It miss digiKam  debug symbols. Add digiKam debug package and get a better
backtrace....
Comment 2 Jekyll Wu 2013-09-22 01:25:37 UTC
Installing debug symbol is not enough for the case of uncaught exception. Please follow the guide[1] and try to run it under gdb to get a better backtrace.  

[1] http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports#Retrieving_a_backtrace_when_an_uncaught_exception_is_causing_a_crash
Comment 3 Jekyll Wu 2013-09-22 01:27:23 UTC
See comment #2.
Comment 4 cirdan52 2013-09-22 08:09:24 UTC
gdb.log:
Function "_cxa_throw" not defined.
Make breakpoint pending on future shared library load? (y or [n]) 
Breakpoint 2 (_cxa_throw) pending.
Function "_cxa_rethrow" not defined.
Make breakpoint pending on future shared library load? (y or [n]) 
Breakpoint 3 (_cxa_rethrow) pending.
Continuing.
Missing separate debuginfo for /usr/lib/gconv/ISO8859-1.so
Try: zypper install -C "debuginfo(build-id)=71aebec2dc58f507fab5da9d35bacd9d4d5223c4"
Missing separate debuginfo for /usr/lib/gconv/UTF-16.so
Try: zypper install -C "debuginfo(build-id)=1e23c78449a54b92bfdf4cf00be30887ac87bc15"
Missing separate debuginfo for /usr/lib/kde4/plugins/gui_platform/libkde.so
Try: zypper install -C "debuginfo(build-id)=845c31d9b2986c92d7d7ec4b3830b9915ed6b34f"
Missing separate debuginfo for /usr/lib/kde4/plugins/styles/oxygen.so
Try: zypper install -C "debuginfo(build-id)=32eb936d6c7a524ede19728e40abbd1c109baa28"
Missing separate debuginfo for /usr/lib/liboxygenstyle.so.4
Try: zypper install -C "debuginfo(build-id)=7613cf338c3cfbbce6c6ac53d92352b1004fb8cc"
Missing separate debuginfo for /usr/lib/qt4/plugins/imageformats/libqgif.so
Try: zypper install -C "debuginfo(build-id)=06e1a2d348dba0eb31d55ba2facffa2b127b430b"
Missing separate debuginfo for /usr/lib/qt4/plugins/imageformats/libqico.so
Try: zypper install -C "debuginfo(build-id)=53db230c6ac4e498474cda49590927307bd5ba51"
Missing separate debuginfo for /usr/lib/qt4/plugins/imageformats/libqjpeg.so
Try: zypper install -C "debuginfo(build-id)=7bd12b31dd841d0d25a8dec6b7dc03ddb9b0fc42"
Missing separate debuginfo for /usr/lib/qt4/plugins/imageformats/libqmng.so
Try: zypper install -C "debuginfo(build-id)=aea7e52cfb09b7d769323eab0584bafed8e24749"
Missing separate debuginfo for /usr/lib/libmng.so.1
Try: zypper install -C "debuginfo(build-id)=3408a5ebd26de05d0ebe32ab03543c00e397aaf0"
Missing separate debuginfo for /usr/lib/qt4/plugins/imageformats/libqsvg.so
Try: zypper install -C "debuginfo(build-id)=b251d2f0d5bf0f118fd42f2cf05fe4a5f0c5305b"
Missing separate debuginfo for /usr/lib/qt4/plugins/imageformats/libqtga.so
Try: zypper install -C "debuginfo(build-id)=cc34d44abae34fc61c8d048a1e958111b24de984"
Missing separate debuginfo for /usr/lib/qt4/plugins/imageformats/libqtiff.so
Try: zypper install -C "debuginfo(build-id)=41e91d7b04f02da7225dd9198e8e1026c21d0444"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_dds.so
Try: zypper install -C "debuginfo(build-id)=8e6540bc6f4bf6287dda44145a3c50082b25c628"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_eps.so
Try: zypper install -C "debuginfo(build-id)=027f4148ab7cf194e89268f8afa92691f90fe593"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_exr.so
Try: zypper install -C "debuginfo(build-id)=a94d5a60ae92345ba7adc1187421d514fae8b2b6"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_jp2.so
Try: zypper install -C "debuginfo(build-id)=cb3d31eab6fb6047f3b2ca2edc6b354285a9b4eb"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_pcx.so
Try: zypper install -C "debuginfo(build-id)=7173b5041c68493c06ee923cc174d46803a64c14"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_pic.so
Try: zypper install -C "debuginfo(build-id)=3c2c9b2257d477efbc457567c67015c721b58cdf"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_psd.so
Try: zypper install -C "debuginfo(build-id)=0b7019a1dbbc16617467fc39eb4aa344113774c7"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_ras.so
Try: zypper install -C "debuginfo(build-id)=0bdb3542959737af4efbf22cd801ed919d87911d"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_rgb.so
Try: zypper install -C "debuginfo(build-id)=4942539e3df3ae3f0498807b0a3b8f0bcb015070"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_tga.so
Try: zypper install -C "debuginfo(build-id)=3549c3c9e15492d426537c2cd1c0ec76341575a7"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_webp.so
Try: zypper install -C "debuginfo(build-id)=103d3ae55f22ad1749d41d60ae71c37512e78ced"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
Try: zypper install -C "debuginfo(build-id)=b118c8e738bc87e3b7345c74eb04899f58e35adf"
Missing separate debuginfo for /usr/lib/kde4/plugins/imageformats/kimg_xview.so
Try: zypper install -C "debuginfo(build-id)=5f6e448eb711933dde5f362ad233f660528c77c7"
[New Thread 0xa9d84b40 (LWP 19173)]
[New Thread 0xa93ffb40 (LWP 19174)]
[New Thread 0xa89ffb40 (LWP 19175)]
Missing separate debuginfo for /usr/lib/qt4/plugins/sqldrivers/libqsqlmysql.so
Try: zypper install -C "debuginfo(build-id)=949f1bbcb5a99318fe9da080671ea0844e42bb5b"
Missing separate debuginfo for /usr/lib/libmysqlclient.so.18
Try: zypper install -C "debuginfo(build-id)=b657f644f1896e5a28c40ef2d4d74cb7a4ca421e"
Missing separate debuginfo for /lib/libnss_compat.so.2
Try: zypper install -C "debuginfo(build-id)=cd5ea9aacbb0e925e17c687f3ec48f6bc0cd3063"
Missing separate debuginfo for /lib/libnsl.so.1
Try: zypper install -C "debuginfo(build-id)=5089c2f98b48f44cc6c3567b9d1d7f635e9d3f1c"
Missing separate debuginfo for /lib/libnss_nis.so.2
Try: zypper install -C "debuginfo(build-id)=8f60d11485b30829d9095db72cc631abee7bb00e"
Missing separate debuginfo for /lib/libnss_files.so.2
Try: zypper install -C "debuginfo(build-id)=8d77c67c244180e892d9b57ecdacf00eb6d7a33c"
[New Thread 0xa7f10b40 (LWP 19176)]
[Thread 0xa7f10b40 (LWP 19176) exited]
[Thread 0xa89ffb40 (LWP 19175) exited]
[New Thread 0xa89ffb40 (LWP 19178)]
[Thread 0xa89ffb40 (LWP 19178) exited]
[New Thread 0xa89ffb40 (LWP 19183)]
Missing separate debuginfo for /usr/lib/qt4/plugins/sqldrivers/libqsqlite.so
Try: zypper install -C "debuginfo(build-id)=e8e85d9b303f189d2184ceaffd8a3f39f6689a91"
Missing separate debuginfo for /usr/lib/kde4/plugins/phonon_platform/kde.so
Try: zypper install -C "debuginfo(build-id)=3c08837c970fe5639ad86214c22c9298ffa36651"
Missing separate debuginfo for /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
Try: zypper install -C "debuginfo(build-id)=6a1f6e17b87144b75c1f5a05587e38ed71134f5c"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstvideo4linux2.so
Try: zypper install -C "debuginfo(build-id)=9e1e8d865ae4351f23b77209aba2fc3bd155a89b"
Missing separate debuginfo for /usr/lib/libgstcontroller-0.10.so.0
Try: zypper install -C "debuginfo(build-id)=a4db8ebbc93f94380f84b7edf51c9b0ccdba1122"
Missing separate debuginfo for /usr/lib/libXv.so.1
Try: zypper install -C "debuginfo(build-id)=013b413a6789cf979edfe7b7592b073497e63faa"
Missing separate debuginfo for /usr/lib/libgudev-1.0.so.0
Try: zypper install -C "debuginfo(build-id)=6f26a5806e9e72a859a2e3df60983a4a14b06295"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstpulse.so
Try: zypper install -C "debuginfo(build-id)=ea7aca0958ea30d234f41b6bb47ce9affda8ec72"
Missing separate debuginfo for /usr/lib/libgstaudio-0.10.so.0
Try: zypper install -C "debuginfo(build-id)=4a0bb5ae588d2afd1a8ef4bfe48c003f94e609f9"
[New Thread 0xa7f10b40 (LWP 19184)]
[Thread 0xa7f10b40 (LWP 19184) exited]
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstaudioconvert.so
Try: zypper install -C "debuginfo(build-id)=ca30d4b67edbbfb2c9268d400680d295e6b140e8"
[New Thread 0xa7f10b40 (LWP 19185)]
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstvolume.so
Try: zypper install -C "debuginfo(build-id)=9fa2759c418d487d761ee5fab6a88256b2844ba2"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstcoreelements.so
Try: zypper install -C "debuginfo(build-id)=b99347c5e26447d9de65b3cc16640fe95c4c58d2"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstaudioresample.so
Try: zypper install -C "debuginfo(build-id)=04c27c30291102831007235aec34e4695c2845c1"
Missing separate debuginfo for /usr/lib/liborc-test-0.4.so.0
Try: zypper install -C "debuginfo(build-id)=0cecbb4b5115506890b836c703608ef371577481"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstxvimagesink.so
Try: zypper install -C "debuginfo(build-id)=d5daaf9e09558a831573abc45561ff86f711cfcd"
[New Thread 0x9d6f2b40 (LWP 19186)]
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstffmpegcolorspace.so
Try: zypper install -C "debuginfo(build-id)=28181dc4bb8d2b1f42831fd63a87b6e94fd76adf"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstvideoscale.so
Try: zypper install -C "debuginfo(build-id)=e33300d75a09702dc17e22d9319e006323914388"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstvideofilter.so
Try: zypper install -C "debuginfo(build-id)=9432562e434bb07cf3256de7908dc272ad171fe4"
Missing separate debuginfo for /usr/lib/gstreamer-0.10/libgstplaybin.so
Try: zypper install -C "debuginfo(build-id)=6a745f5e5c1880cb3d19872a0c9b251e6cf41e3c"
[Thread 0xa7f10b40 (LWP 19185) exited]
[Thread 0x9d6f2b40 (LWP 19186) exited]
[New Thread 0x9d6f2b40 (LWP 19187)]
[New Thread 0xa7f10b40 (LWP 19188)]
[New Thread 0xa13acb40 (LWP 19189)]
[New Thread 0xa07ffb40 (LWP 19190)]
[New Thread 0x9ffffb40 (LWP 19191)]
[New Thread 0x9f7ffb40 (LWP 19192)]
[New Thread 0x9efffb40 (LWP 19193)]
[New Thread 0x9e7ffb40 (LWP 19194)]
[New Thread 0x9dfffb40 (LWP 19195)]
[New Thread 0x9ce28b40 (LWP 19196)]
[New Thread 0x9c628b40 (LWP 19197)]
[New Thread 0x9be28b40 (LWP 19198)]
[New Thread 0x9b628b40 (LWP 19199)]
[New Thread 0x9ae28b40 (LWP 19200)]
[New Thread 0x9a628b40 (LWP 19201)]
[New Thread 0x99e28b40 (LWP 19202)]
[New Thread 0x99628b40 (LWP 19203)]
[New Thread 0x98e28b40 (LWP 19204)]
[New Thread 0x98628b40 (LWP 19205)]
[New Thread 0x97e28b40 (LWP 19206)]
[New Thread 0x97628b40 (LWP 19207)]
[New Thread 0x96e28b40 (LWP 19208)]
[New Thread 0x96628b40 (LWP 19209)]
[New Thread 0x95e28b40 (LWP 19210)]
[New Thread 0x95628b40 (LWP 19211)]
[New Thread 0x94e28b40 (LWP 19212)]
[New Thread 0x94628b40 (LWP 19213)]
[New Thread 0x93e28b40 (LWP 19214)]
[New Thread 0x93628b40 (LWP 19215)]
[New Thread 0x92e28b40 (LWP 19216)]
[New Thread 0x92628b40 (LWP 19217)]
[New Thread 0x91e28b40 (LWP 19218)]
[New Thread 0x91628b40 (LWP 19219)]
Missing separate debuginfo for /usr/lib/qt4/plugins/menubar/libappmenu-qt.so
Try: zypper install -C "debuginfo(build-id)=e85729d01ecb2f84ea990f9263dad3f767cbb099"
[New Thread 0x907dbb40 (LWP 19221)]
Missing separate debuginfo for /usr/lib/libresolv.so
Try: zypper install -C "debuginfo(build-id)=7ad0dce95967c086ab3909ab66b60532ee3d309a"
Missing separate debuginfo for /lib/libnss_mdns_minimal.so.2
Try: zypper install -C "debuginfo(build-id)=786efbc255eadfad6b63fab13636eb547cf81827"
Missing separate debuginfo for /lib/libnss_dns.so.2
Try: zypper install -C "debuginfo(build-id)=62fb932c5c66b731fb425f8820da05511015470a"
[Thread 0x92e28b40 (LWP 19216) exited]
[Thread 0x9be28b40 (LWP 19198) exited]
[Thread 0x9e7ffb40 (LWP 19194) exited]
[Thread 0x91e28b40 (LWP 19218) exited]
[Thread 0x92628b40 (LWP 19217) exited]
[Thread 0x98628b40 (LWP 19205) exited]
[Thread 0x99e28b40 (LWP 19202) exited]
[Thread 0x99628b40 (LWP 19203) exited]
[Thread 0xa13acb40 (LWP 19189) exited]
[Thread 0x9dfffb40 (LWP 19195) exited]
[Thread 0x93e28b40 (LWP 19214) exited]
[Thread 0x94e28b40 (LWP 19212) exited]
[Thread 0x9d6f2b40 (LWP 19187) exited]
[Thread 0x96628b40 (LWP 19209) exited]
[Thread 0x9ce28b40 (LWP 19196) exited]
[Thread 0x95628b40 (LWP 19211) exited]
[Thread 0x9c628b40 (LWP 19197) exited]
[Thread 0x91628b40 (LWP 19219) exited]
[Thread 0x9b628b40 (LWP 19199) exited]
[Thread 0x93628b40 (LWP 19215) exited]
[Thread 0x94628b40 (LWP 19213) exited]
[Thread 0xa7f10b40 (LWP 19188) exited]
[Thread 0x9f7ffb40 (LWP 19192) exited]
[Thread 0x96e28b40 (LWP 19208) exited]
[Thread 0x95e28b40 (LWP 19210) exited]
[Thread 0x9a628b40 (LWP 19201) exited]
[Thread 0xa07ffb40 (LWP 19190) exited]
[Thread 0x97628b40 (LWP 19207) exited]
[Thread 0x9ffffb40 (LWP 19191) exited]
[Thread 0x9ae28b40 (LWP 19200) exited]
[Thread 0x97e28b40 (LWP 19206) exited]
[Thread 0x98e28b40 (LWP 19204) exited]
[Thread 0x9efffb40 (LWP 19193) exited]
[Thread 0x907dbb40 (LWP 19221) exited]
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_ipodexport.so
Try: zypper install -C "debuginfo(build-id)=3bda9bde1f9dd8dcfb92a5004b5c161ffbac7230"
Missing separate debuginfo for /usr/lib/libgpod.so.4
Try: zypper install -C "debuginfo(build-id)=71e03a4bb7a84bac7d8e1700ae4bd3ac6879ce3a"
Missing separate debuginfo for /usr/lib/libkipiplugins.so.3
Try: zypper install -C "debuginfo(build-id)=1e705620dd0a2dcacc1fa33fa6fd5c405220f1f9"
Missing separate debuginfo for /usr/lib/libplist.so.1
Try: zypper install -C "debuginfo(build-id)=e364140072385a93c30ab12482c0eb822c55c024"
Missing separate debuginfo for /usr/lib/libgdk_pixbuf-2.0.so.0
Try: zypper install -C "debuginfo(build-id)=f50880ea1f97e39f61994f4c58f7040b85f04cb2"
Missing separate debuginfo for /usr/lib/libimobiledevice.so.3
Try: zypper install -C "debuginfo(build-id)=10e59392147eb0ab5afc8bad9467720f647c0ee4"
Missing separate debuginfo for /usr/lib/libgio-2.0.so.0
Try: zypper install -C "debuginfo(build-id)=8298107bebaf94fff5d50740f288c6ba272df6ec"
Missing separate debuginfo for /usr/lib/libusbmuxd.so.2
Try: zypper install -C "debuginfo(build-id)=3c7060f7d9a37ecbc15c5e84168aff992b09e97f"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_panorama.so
Try: zypper install -C "debuginfo(build-id)=a5b383a0f70b2d3a561805dc7b1cef49a46aa3f6"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_rajceexport.so
Try: zypper install -C "debuginfo(build-id)=5e512354b4b5e1c302fd800cc08edd5c48696831"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_advancedslideshow.so
Try: zypper install -C "debuginfo(build-id)=166dba8e17a95445bb04e5031c811e77b04728ee"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_removeredeyes.so
Try: zypper install -C "debuginfo(build-id)=5c824ceeb682465c370a0355ff225ce4075924c1"
Missing separate debuginfo for /usr/lib/libopencv_legacy.so.2.4
Try: zypper install -C "debuginfo(build-id)=6f38753535c58871ea6263acfcd0fdee6c4a75ac"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_expoblending.so
Try: zypper install -C "debuginfo(build-id)=47310ce71a38c7f0a68dbf5d62967aff32a34324"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_printimages.so
Try: zypper install -C "debuginfo(build-id)=649c176299a935c9f6209b0caf15fb3960737ef1"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_flickrexport.so
Try: zypper install -C "debuginfo(build-id)=608a9380df44419094d9d65dfe8b662bd4b60ae9"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_calendar.so
Try: zypper install -C "debuginfo(build-id)=5c2e19adfe2750ef22d21b6eb752cf5a41ca7c71"
Missing separate debuginfo for /usr/lib/libkcalcore.so.4
Try: zypper install -C "debuginfo(build-id)=83ac8d7b2e4d3174ccc88c225b0500412311a867"
Missing separate debuginfo for /usr/lib/libical.so.0
Try: zypper install -C "debuginfo(build-id)=09c020b0e54ef7201f48f86e3e07bb17ce683f8c"
Missing separate debuginfo for /usr/lib/libicalss.so.0
Try: zypper install -C "debuginfo(build-id)=0a5a8c1df78fbf39ac7f828dd211b7dad162407f"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_piwigoexport.so
Try: zypper install -C "debuginfo(build-id)=a6bf03de3085462ee88db58e1196dd58e72378aa"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_smug.so
Try: zypper install -C "debuginfo(build-id)=41ed864388d524828e2d9811e0815475a4d3cff5"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_wikimedia.so
Try: zypper install -C "debuginfo(build-id)=9b5c1cd2160b337b2611f61bc33814be1e5e7eae"
Missing separate debuginfo for /usr/lib/libmediawiki.so.1
Try: zypper install -C "debuginfo(build-id)=1295b8df23fdba71ab5d0f373cbae63e03c345ed"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_kioexportimport.so
Try: zypper install -C "debuginfo(build-id)=a2e5ad941f9de0722deedb8a0ccb36674ab26122"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_imageviewer.so
Try: zypper install -C "debuginfo(build-id)=423e5ac1eccf99871c0dbe5c1b61fc6c89b5591b"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_shwup.so
Try: zypper install -C "debuginfo(build-id)=e78eacb625db0b739f02e8359406f3e074c2731c"
Missing separate debuginfo for /usr/lib/libqca.so.2
Try: zypper install -C "debuginfo(build-id)=aa6c107999c020fc778d23e287d7f09c63340582"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_flashexport.so
Try: zypper install -C "debuginfo(build-id)=4aa59bc32f37731a1a392d95e5c474dff2910973"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_vkontakte.so
Try: zypper install -C "debuginfo(build-id)=7ee6d51a3ed518f9009aa3c3d0b7a919139426d8"
Missing separate debuginfo for /usr/lib/libkvkontakte.so.1
Try: zypper install -C "debuginfo(build-id)=3af63c8ecc92813d1fbb56d9aaf2de94e4822a3e"
Missing separate debuginfo for /usr/lib/libkdewebkit.so.5
Try: zypper install -C "debuginfo(build-id)=4223419dd1a6bd9ac76482a13c536c271044bfbf"
Missing separate debuginfo for /usr/lib/libqjson.so.0
Try: zypper install -C "debuginfo(build-id)=b3f774616053d8d4affefc7a9a89f2a3d71ba282"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_acquireimages.so
Try: zypper install -C "debuginfo(build-id)=ff24f7496f86117e1e39f5164b7ad0bcdcadd3a8"
Missing separate debuginfo for /usr/lib/libksane.so.0
Try: zypper install -C "debuginfo(build-id)=721ac40ee310025fd7a1504e873e2b45eda93490"
Missing separate debuginfo for /usr/lib/libsane.so.1
Try: zypper install -C "debuginfo(build-id)=22c1468e630ee6055f07b8c8c4f5c12328768d79"
Missing separate debuginfo for /usr/lib/libieee1284.so.3
Try: zypper install -C "debuginfo(build-id)=d0277f936a4feeced74d829d7714396a33e85754"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_debianscreenshots.so
Try: zypper install -C "debuginfo(build-id)=a4ab8980bbe8fea2599dcf173ee9003e2b3b5b9f"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_sendimages.so
Try: zypper install -C "debuginfo(build-id)=0cc2c3aed90bca15d733c4f7d424a3497da7249b"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_batchprocessimages.so
Try: zypper install -C "debuginfo(build-id)=03ca320c518c640b93a287f4a08474c5e3379848"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_imgurexport.so
Try: zypper install -C "debuginfo(build-id)=bd2aebf94414e9aa2d445f69d1570c27bb95fc46"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_gpssync.so
Try: zypper install -C "debuginfo(build-id)=e77fc3c30cbc3ce67d90aba31742d3e59d9e58af"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_picasawebexport.so
Try: zypper install -C "debuginfo(build-id)=6bb8b5b457387652178e203d6e85dca0f35d717b"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_videoslideshow.so
Try: zypper install -C "debuginfo(build-id)=45f852a7e376a4c3ab9bcadec19346a52e84ba41"
Missing separate debuginfo for /usr/lib/libMagickCore.so.5
Try: zypper install -C "debuginfo(build-id)=a928a23f4e749298a5708e21802f5f3899582432"
Missing separate debuginfo for /usr/lib/libQtGStreamer-0.10.so.0
Try: zypper install -C "debuginfo(build-id)=4c52123666c3c9f851807a3657a73e7f5de4a2f2"
Missing separate debuginfo for /usr/lib/libQtGStreamerUtils-0.10.so.0
Try: zypper install -C "debuginfo(build-id)=d523550d03fc313440853075029fcb63faed72b4"
Missing separate debuginfo for /usr/lib/libQtGLib-2.0.so.0
Try: zypper install -C "debuginfo(build-id)=d468c65924e256033ed62db72c130379020e420f"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_timeadjust.so
Try: zypper install -C "debuginfo(build-id)=0bf23f54e226e2bd477a24f6f04155962e28ae49"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_yandexfotki.so
Try: zypper install -C "debuginfo(build-id)=5986782a3bba3bfafd5be2b11c135aae74637c90"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_imageshackexport.so
Try: zypper install -C "debuginfo(build-id)=2c9182b9479c02ec9a01a098378ae8eb47031f39"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_photolayoutseditor.so
Try: zypper install -C "debuginfo(build-id)=f7c04b603dc26b13f00ac1f770767b776d690da3"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_htmlexport.so
Try: zypper install -C "debuginfo(build-id)=51e82258dc10a1f820bf5929c4bad3edc14be046"
Missing separate debuginfo for /usr/lib/libexslt.so.0
Try: zypper install -C "debuginfo(build-id)=972ecb1a2f7bcc5bf3557ec382a398ec8d80f7d7"
Missing separate debuginfo for /usr/lib/libgcrypt.so.11
Try: zypper install -C "debuginfo(build-id)=f754086b9993fd08afbd95d45c539e991faabbee"
Missing separate debuginfo for /usr/lib/libgpg-error.so.0
Try: zypper install -C "debuginfo(build-id)=b90e26e9595df89fdc42cd5bbdd863daa00cf47a"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_kmlexport.so
Try: zypper install -C "debuginfo(build-id)=a515fa477247f74b90a845797d03f2436ff0e676"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_dlnaexport.so
Try: zypper install -C "debuginfo(build-id)=e08c7620e3b398bc3a47ffbb7589ab4584c07593"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_metadataedit.so
Try: zypper install -C "debuginfo(build-id)=f333b7c1d77df3d5cff776c6d97b01135be0f724"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_dngconverter.so
Try: zypper install -C "debuginfo(build-id)=11c9eaafef1991a816b15cbe534175c84b52e3fe"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_galleryexport.so
Try: zypper install -C "debuginfo(build-id)=741dad1dcac4475b3b16a1ff6dafe1e86eb417d3"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_facebook.so
Try: zypper install -C "debuginfo(build-id)=80fc7a122f579545bb9034f7bd6d743c5bbfd389"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_jalbumexport.so
Try: zypper install -C "debuginfo(build-id)=1248cfba922d0c079c5dcc0aed990e0714e964a5"
Missing separate debuginfo for /usr/lib/kde4/kipiplugin_kopete.so
Try: zypper install -C "debuginfo(build-id)=6d9e454b608d427211adaeda13d559d039da9e8e"
[New Thread 0x907dbb40 (LWP 19241)]
[New Thread 0x9efffb40 (LWP 19242)]
[New Thread 0x98e28b40 (LWP 19245)]
[Thread 0x907dbb40 (LWP 19241) exited]
[Thread 0x9efffb40 (LWP 19242) exited]
[Thread 0x98e28b40 (LWP 19245) exited]
[New Thread 0x98e28b40 (LWP 19275)]
[New Thread 0x9efffb40 (LWP 19285)]
[Thread 0x98e28b40 (LWP 19275) exited]
[Thread 0x9efffb40 (LWP 19285) exited]
[New Thread 0x9efffb40 (LWP 19294)]
[New Thread 0x98e28b40 (LWP 19295)]
[New Thread 0x907dbb40 (LWP 19298)]

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x907dbb40 (LWP 19298)]
0xb516a245 in raise () from /lib/libc.so.6

Thread 52 (Thread 0x907dbb40 (LWP 19298)):
#0  0xb516a245 in raise () from /lib/libc.so.6
#1  0xb516bac3 in abort () from /lib/libc.so.6
#2  0xb536828d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#3  0xb5365ef3 in ?? () from /usr/lib/libstdc++.so.6
#4  0xb5365f2f in std::terminate() () from /usr/lib/libstdc++.so.6
#5  0xb5366225 in __cxa_rethrow () from /usr/lib/libstdc++.so.6
#6  0xb5fc8df2 in QThreadPoolThread::run (this=0x9b9de88)
    at concurrent/qthreadpool.cpp:114
#7  0xb5fd5f98 in QThreadPrivate::start (arg=0x9b9de88) at thread/qthread_unix.cpp:338
#8  0xb4b92b5e in start_thread () from /lib/libpthread.so.0
#9  0xb521a16e in clone () from /lib/libc.so.6

Thread 51 (Thread 0x98e28b40 (LWP 19295)):
#0  0xb4b96792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb522785c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb5fd6570 in wait (time=4294967295, this=0x6eda74c8)
    at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x6eda7498, mutex=0x6eda7494, time=4294967295)
    at thread/qwaitcondition_unix.cpp:158
#4  0xb71a1412 in Digikam::ThumbnailImageCatcher::waitForThumbnails (this=0x6ef13f90)
    at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailloadthread.cpp:1187
#5  0x08159206 in Digikam::ThumbsTask::run (this=0x6ecb84d8)
    at /usr/src/debug/digikam-3.4.0/core/utilities/maintenance/thumbstask.cpp:84
#6  0x6ecb84d8 in ?? ()
#7  0x00000000 in ?? ()

Thread 50 (Thread 0x9efffb40 (LWP 19294)):
#0  0xb4b96792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb522785c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb5fd6570 in wait (time=4294967295, this=0x6d21b830)
    at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x6d4fabe4, mutex=0x6d4fabe8, time=4294967295)
    at thread/qwaitcondition_unix.cpp:158
#4  0xb7453658 in KDcrawIface::RActionThreadBase::run() () from /usr/lib/libkdcraw.so.22
#5  0xb5fd5f98 in QThreadPrivate::start (arg=0x6d32a960) at thread/qthread_unix.cpp:338
#6  0xb4b92b5e in start_thread () from /lib/libpthread.so.0
#7  0xb521a16e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa89ffb40 (LWP 19183)):
#0  0xb4b96792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb522785c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb5fd6570 in wait (time=4294967295, this=0x889b060)
    at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x88d9b40, mutex=0x88d9b3c, time=4294967295)
    at thread/qwaitcondition_unix.cpp:158
#4  0xb71ac5fc in Digikam::ParkingThread::run (this=0x88d9b30)
    at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:119
#5  0xb5fd5f98 in QThreadPrivate::start (arg=0x88d9b30) at thread/qthread_unix.cpp:338
#6  0xb4b92b5e in start_thread () from /lib/libpthread.so.0
#7  0xb521a16e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa93ffb40 (LWP 19174)):
#0  0xb520f401 in poll () from /lib/libc.so.6
#1  0xb34a208b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb3493420 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb3493581 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb611abef in QEventDispatcherGlib::processEvents (this=0xa8a00468, flags=...)
    at kernel/qeventdispatcher_glib.cpp:427
#5  0xb60e744c in QEventLoop::processEvents (this=this@entry=0xa93ff1e8, flags=...)
    at kernel/qeventloop.cpp:149
#6  0xb60e7741 in QEventLoop::exec (this=0xa93ff1e8, flags=...)
    at kernel/qeventloop.cpp:204
#7  0xb5fd2b8c in QThread::exec (this=0x87a87a0) at thread/qthread.cpp:536
#8  0xb60c5a4d in QInotifyFileSystemWatcherEngine::run (this=0x87a87a0)
    at io/qfilesystemwatcher_inotify.cpp:256
#9  0xb5fd5f98 in QThreadPrivate::start (arg=0x87a87a0) at thread/qthread_unix.cpp:338
#10 0xb4b92b5e in start_thread () from /lib/libpthread.so.0
#11 0xb521a16e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa9d84b40 (LWP 19173)):
#0  0xb4b96792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb522785c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb5fd6570 in wait (time=4294967295, this=0x87a7940)
    at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x87c1014, mutex=0x87c1010, time=4294967295)
    at thread/qwaitcondition_unix.cpp:158
#4  0x0821b0ea in Digikam::ScanController::run (this=0x87ed8b8)
    at /usr/src/debug/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#5  0xb5fd5f98 in QThreadPrivate::start (arg=0x87ed8b8) at thread/qthread_unix.cpp:338
#6  0xb4b92b5e in start_thread () from /lib/libpthread.so.0
#7  0xb521a16e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xaabe5780 (LWP 19141)):
#0  0xb520f401 in poll () from /lib/libc.so.6
#1  0xb34a208b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb3493420 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb3493581 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb611abd1 in QEventDispatcherGlib::processEvents (this=0x868f860, flags=...)
    at kernel/qeventdispatcher_glib.cpp:425
#5  0xb560279a in ?? () from /usr/lib/libQtGui.so.4
#6  0xb60e744c in QEventLoop::processEvents (this=this@entry=0xbfffebf8, flags=...)
    at kernel/qeventloop.cpp:149
#7  0xb60e7741 in QEventLoop::exec (this=0xbfffebf8, flags=...)
    at kernel/qeventloop.cpp:204
#8  0xb60ecaaa in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#9  0xb554ead4 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#10 0x080c60d6 in main (argc=1, argv=0xbfffef54)
    at /usr/src/debug/digikam-3.4.0/core/digikam/main/main.cpp:235
Kill the program being debugged? (y or n)
Comment 5 cirdan52 2013-10-12 12:39:18 UTC
Created attachment 82797 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.11.2 using Qt 4.8.5

- What I was doing when the application crashed:
Digikam takes about a min before it shows that there is a task running. Only gets to 1% before it crashes. Also usues a lot of memory during the process

-- Backtrace (Reduced):
#13 0xb56dadf2 in QThreadPoolThread::run (this=0xaca5cb8) at concurrent/qthreadpool.cpp:114
#14 0xb56e7f98 in QThreadPrivate::start (arg=0xaca5cb8) at thread/qthread_unix.cpp:338
[...]
Comment 6 caulier.gilles 2013-10-12 14:45:50 UTC
Your backtrace is really umcomplete. There is no digiKam code here...

Thread 2 (Thread 0x9d4fab40 (LWP 2860)):
[KCrash Handler]
#6  0xb76ef424 in __kernel_vsyscall ()
#7  0xb48408cf in raise () from /lib/libc.so.6
#8  0xb48421b3 in abort () from /lib/libc.so.6
#9  0xb4a7a28d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#10 0xb4a77ef3 in ?? () from /usr/lib/libstdc++.so.6
#11 0xb4a77f2f in std::terminate() () from /usr/lib/libstdc++.so.6
#12 0xb4a78225 in __cxa_rethrow () from /usr/lib/libstdc++.so.6
#13 0xb56dadf2 in QThreadPoolThread::run (this=0xaca5cb8) at concurrent/qthreadpool.cpp:114
#14 0xb56e7f98 in QThreadPrivate::start (arg=0xaca5cb8) at thread/qthread_unix.cpp:338
#15 0xb4268e52 in start_thread () from /lib/libpthread.so.0
#16 0xb4905bfe in clone () from /lib/libc.so.6

Possible duplicates by query: bug 325580, bug 325526, bug 325309, bug 324930, bug 324711.
Comment 7 Marcel Wiesweg 2013-10-12 15:08:42 UTC
An exception is thrown, caught by the event loop and rethrown.
You need to "catch throw" to get to the origin of the exception.
Comment 8 cirdan52 2013-10-12 16:20:19 UTC
Digikam debug symbols are installed!
Comment 9 cirdan52 2013-10-12 20:34:11 UTC
==6309== Memcheck, a memory error detector
==6309== Copyright (C) 2002-2012, and GNU GPL'd, by Julian Seward et al.
==6309== Using Valgrind-3.8.1 and LibVEX; rerun with -h for copyright info
==6309== Command: digikam
==6309== Parent PID: 6284
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x7F: ???
==6309== 
==6309== Invalid read of size 8
==6309==    at 0x626E9F7: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x646206B: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x64683FF: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==  Address 0x14ae0650 is 8 bytes before a block of size 1,936 alloc'd
==6309==    at 0x402C9FD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6309==    by 0x6341A0E: QImageData::create(QSize const&, QImage::Format, int) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x6341E5C: QImage::QImage(int, int, QImage::Format) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x6342F45: QImage::copy(QRect const&) const (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x636D75A: QRasterPixmapData::copy(QPixmapData const*, QRect const&) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x635E30E: QPixmap::copy(QRect const&) const (in /usr/lib/libQtGui.so.4.8.5)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0xD: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x3F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0xF: ???
==6309== 
==6309== Invalid read of size 8
==6309==    at 0x626E9F7: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x646206B: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x646A007: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x64746E3: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==  Address 0x17688e10 is 8 bytes before a block of size 1,024 alloc'd
==6309==    at 0x402C9FD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6309==    by 0x6341A0E: QImageData::create(QSize const&, QImage::Format, int) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x6341E5C: QImage::QImage(int, int, QImage::Format) (in /usr/lib/libQtGui.so.4.8.5)
==6309== 
==6309== Thread 5:
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0xFD: ???
==6309== 
==6309== Thread 1:
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x2F: ???
==6309== 
==6309== Thread 7:
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14EEEB4F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1A38907F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x20AF6847: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0xFF: ???
==6309== 
==6309== Syscall param write(buf) points to uninitialised byte(s)
==6309==    at 0x6E3D5BB: ??? (in /lib/libc-2.17.so)
==6309==    by 0x1690E26B: vio_write (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168F3B39: net_real_write (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168F3FF7: net_flush (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168F419D: net_write_command (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168EAD08: cli_advanced_command (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168E2D65: ??? (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168E3561: cli_stmt_execute (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168E4903: mysql_stmt_execute (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x16891221: ??? (in /usr/lib/qt4/plugins/sqldrivers/libqsqlmysql.so)
==6309==    by 0x40728D5: QSqlQuery::exec() (in /usr/lib/libQtSql.so.4.8.5)
==6309==    by 0x4EE4A43: Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) (databasecorebackend.cpp:1414)
==6309==  Address 0x17b76bd7 is 13,087 bytes inside a block of size 16,392 alloc'd
==6309==    at 0x402CC27: realloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6309==    by 0x16919B51: my_realloc (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168F383D: net_realloc (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168E3673: cli_stmt_execute (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x168E4903: mysql_stmt_execute (in /usr/lib/libmysqlclient.so.18.0.0)
==6309==    by 0x16891221: ??? (in /usr/lib/qt4/plugins/sqldrivers/libqsqlmysql.so)
==6309==    by 0x40728D5: QSqlQuery::exec() (in /usr/lib/libQtSql.so.4.8.5)
==6309==    by 0x4EE4A43: Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) (databasecorebackend.cpp:1414)
==6309==    by 0x13EE1E3F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14E4B867: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x146AF54F: ???
==6309== 
==6309== Thread 1:
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x15: ???
==6309== 
==6309== Thread 7:
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x12EF1CCF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x2AC53F2F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x129B5567: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14314D5F: ???
==6309== 
==6309== Thread 1:
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x6448EBE: QTransform::fromScale(double, double) (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x12: ???
==6309== 
==6309== Thread 7:
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x13BB015F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1A4FD827: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1421ACCF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14391A97: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x12BB98E7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x12E53EEF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x145B3C97: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1C18E3E7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x13010F2F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1E32053F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14289A07: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x13C0E81F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1227B5EF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1EACD3AF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x13B99B4F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14B5095F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x8F32E69: Exiv2::isXmpType(Exiv2::BasicIo&, bool) (in /usr/lib/libexiv2.so.12.0.0)
==6309==    by 0x8EA1A44: Exiv2::ImageFactory::open(std::auto_ptr<Exiv2::BasicIo>) (in /usr/lib/libexiv2.so.12.0.0)
==6309==    by 0x6CC4B15: std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&) (in /usr/lib/libstdc++.so.6.0.17)
==6309==    by 0x4A48013: KExiv2Iface::KExiv2::load(QString const&) const (in /usr/lib/libkexiv2.so.11.2.0)
==6309==    by 0x4EB0E81: Digikam::DMetadata::load(QString const&) const (dmetadata.cpp:110)
==6309==    by 0x1E546D27: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x8F32E6B: Exiv2::isXmpType(Exiv2::BasicIo&, bool) (in /usr/lib/libexiv2.so.12.0.0)
==6309==    by 0x8EA1A44: Exiv2::ImageFactory::open(std::auto_ptr<Exiv2::BasicIo>) (in /usr/lib/libexiv2.so.12.0.0)
==6309==    by 0x6CC4B15: std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&) (in /usr/lib/libstdc++.so.6.0.17)
==6309==    by 0x4A48013: KExiv2Iface::KExiv2::load(QString const&) const (in /usr/lib/libkexiv2.so.11.2.0)
==6309==    by 0x4EB0E81: Digikam::DMetadata::load(QString const&) const (dmetadata.cpp:110)
==6309==    by 0x1E546D27: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x402EF81: bcmp (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6309==    by 0x8EF954B: Exiv2::isTgaType(Exiv2::BasicIo&, bool) (in /usr/lib/libexiv2.so.12.0.0)
==6309==    by 0x8EA1A44: Exiv2::ImageFactory::open(std::auto_ptr<Exiv2::BasicIo>) (in /usr/lib/libexiv2.so.12.0.0)
==6309==    by 0x6CC4B15: std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&) (in /usr/lib/libstdc++.so.6.0.17)
==6309==    by 0x4A48013: KExiv2Iface::KExiv2::load(QString const&) const (in /usr/lib/libkexiv2.so.11.2.0)
==6309==    by 0x4EB0E81: Digikam::DMetadata::load(QString const&) const (dmetadata.cpp:110)
==6309==    by 0x1E546D27: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x8EA1A47: Exiv2::ImageFactory::open(std::auto_ptr<Exiv2::BasicIo>) (in /usr/lib/libexiv2.so.12.0.0)
==6309==    by 0x6CC4B15: std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&) (in /usr/lib/libstdc++.so.6.0.17)
==6309==    by 0x4A48013: KExiv2Iface::KExiv2::load(QString const&) const (in /usr/lib/libkexiv2.so.11.2.0)
==6309==    by 0x4EB0E81: Digikam::DMetadata::load(QString const&) const (dmetadata.cpp:110)
==6309==    by 0x1E546D27: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x13B8C677: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x177B88A7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x178B1C7F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14438587: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1809E007: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x17F7AA0F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14E52677: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1EC2D02F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1A66EAD7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x180C7F8F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1286A757: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x18281A17: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1485BD9F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x17EC6B77: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1710EEEF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x143E752F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14C0E58F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x14ECDF7F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1290A7AF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x12AA5BB7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x12EBA3FF: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1778A37F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x184E9B4F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x146709F7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x1403E00D: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x1403F7B0: ??? (in /usr/lib/kde4/plugins/imageformats/kimg_pic.so)
==6309==    by 0x634ECE0: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x1A3814F7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95BF44D: CSubband::Quantize(int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BFEB9: CWaveletTransform::ForwardTransform(int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9167: CPGFImage::WriteHeader(CPGFStream*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AC5: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95BF452: CSubband::Quantize(int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BFEB9: CWaveletTransform::ForwardTransform(int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9167: CPGFImage::WriteHeader(CPGFStream*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AC5: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B6D64: CEncoder::WriteValue(CSubband*, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B6F07: CEncoder::Partition(CSubband*, int, int, int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BF7C5: CSubband::ExtractTile(CEncoder&, bool, unsigned int, unsigned int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9561: CPGFImage::WriteLevel() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B99D9: CPGFImage::WriteImage(CPGFStream*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AE7: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B6D64: CEncoder::WriteValue(CSubband*, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B6F07: CEncoder::Partition(CSubband*, int, int, int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BF7C5: CSubband::ExtractTile(CEncoder&, bool, unsigned int, unsigned int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B948E: CPGFImage::WriteLevel() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B99D9: CPGFImage::WriteImage(CPGFStream*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AE7: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B6D64: CEncoder::WriteValue(CSubband*, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B6F07: CEncoder::Partition(CSubband*, int, int, int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BF7C5: CSubband::ExtractTile(CEncoder&, bool, unsigned int, unsigned int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B94CB: CPGFImage::WriteLevel() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B99D9: CPGFImage::WriteImage(CPGFStream*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AE7: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B6D64: CEncoder::WriteValue(CSubband*, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B6F07: CEncoder::Partition(CSubband*, int, int, int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BF7C5: CSubband::ExtractTile(CEncoder&, bool, unsigned int, unsigned int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B950A: CPGFImage::WriteLevel() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B99D9: CPGFImage::WriteImage(CPGFStream*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AE7: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xFFFFFFF6: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xFFFFFFF6: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xFFFFFFF6: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x7: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x5D56FDFB: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x5D56FDFB: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x5D56FDFB: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x326016BE: ??? (in /dev/shm/pulse-shm-1631800903)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x326016BE: ??? (in /dev/shm/pulse-shm-1631800903)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x326016BE: ??? (in /dev/shm/pulse-shm-1631800903)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xACABA108: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xACABA108: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xACABA108: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x3BD2E572: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x3BD2E572: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x3BD2E572: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xFFFFFFFE: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xFFFFFFFE: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xFFFFFFFE: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5E25: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x28020689: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5D93: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x28020689: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x28020689: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0xB202040F: ???
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B5EC2: CEncoder::CMacroBlock::DecomposeBitplane(unsigned int, unsigned int, unsigned int, unsigned int*, unsigned int*, unsigned int*, unsigned int&, unsigned int&) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B65F1: CEncoder::CMacroBlock::BitplaneEncode() (in /usr/lib/libpgf.so.6.0.7)
==6309== 
==6309== 
==6309== More than 100 errors detected.  Subsequent errors
==6309== will still be recorded, but in less detail than before.
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x626E945: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x646206B: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x64683FF: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B6D64: CEncoder::WriteValue(CSubband*, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B6EA7: CEncoder::Partition(CSubband*, int, int, int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BF7C5: CSubband::ExtractTile(CEncoder&, bool, unsigned int, unsigned int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9561: CPGFImage::WriteLevel() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B99D9: CPGFImage::WriteImage(CPGFStream*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AE7: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Conditional jump or move depends on uninitialised value(s)
==6309==    at 0x95B6D64: CEncoder::WriteValue(CSubband*, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B6F9F: CEncoder::Partition(CSubband*, int, int, int, int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95BF7C5: CSubband::ExtractTile(CEncoder&, bool, unsigned int, unsigned int) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9561: CPGFImage::WriteLevel() (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B99D9: CPGFImage::WriteImage(CPGFStream*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x95B9AE7: CPGFImage::Write(CPGFStream*, unsigned int*, bool (*)(double, bool, void*), void*) (in /usr/lib/libpgf.so.6.0.7)
==6309==    by 0x4F2DC6E: Digikam::PGFUtils::writePGFImageDataToStream(QImage const&, CPGFStream&, int, unsigned int&, bool) (pgfutils.cpp:280)
==6309==    by 0x4F2E580: Digikam::PGFUtils::writePGFImageData(QImage const&, QByteArray&, int, bool) (pgfutils.cpp:178)
==6309== 
==6309== Thread 1:
==6309== Invalid read of size 2
==6309==    at 0x5F6C3AF: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:92)
==6309==    by 0x9908E66: g_main_context_check (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x99093B1: ??? (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x9909580: g_main_context_iteration (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x5F6CBD0: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:425)
==6309==    by 0x6329799: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x5F3944B: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==6309==    by 0xBE8A7BB7: ???
==6309==  Address 0x12b5223e is 6 bytes inside a block of size 12 free'd
==6309==    at 0x402B223: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6309==    by 0x5F6D1D0: QEventDispatcherGlib::unregisterSocketNotifier(QSocketNotifier*) (qeventdispatcher_glib.cpp:506)
==6309==    by 0x5F59908: QSocketNotifier::setEnabled(bool) (qsocketnotifier.cpp:297)
==6309==    by 0x5F6C3AE: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:92)
==6309==    by 0x9908E66: g_main_context_check (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x99093B1: ??? (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x9909580: g_main_context_iteration (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x5F6CBD0: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:425)
==6309==    by 0x6329799: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x5F3944B: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==6309==    by 0xBE8A7BB7: ???
==6309== 
==6309== Invalid read of size 2
==6309==    at 0x5F6C3B6: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:83)
==6309==    by 0x9908E66: g_main_context_check (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x99093B1: ??? (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x9909580: g_main_context_iteration (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x5F6CBD0: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:425)
==6309==    by 0x6329799: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x5F3944B: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==6309==    by 0xBE8A7BB7: ???
==6309==  Address 0x12b5223c is 4 bytes inside a block of size 12 free'd
==6309==    at 0x402B223: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6309==    by 0x5F6D1D0: QEventDispatcherGlib::unregisterSocketNotifier(QSocketNotifier*) (qeventdispatcher_glib.cpp:506)
==6309==    by 0x5F59908: QSocketNotifier::setEnabled(bool) (qsocketnotifier.cpp:297)
==6309==    by 0x5F6C3AE: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:92)
==6309==    by 0x9908E66: g_main_context_check (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x99093B1: ??? (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x9909580: g_main_context_iteration (in /usr/lib/libglib-2.0.so.0.3600.4)
==6309==    by 0x5F6CBD0: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:425)
==6309==    by 0x6329799: ??? (in /usr/lib/libQtGui.so.4.8.5)
==6309==    by 0x5F3944B: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==6309==    by 0xBE8A7BB7: ???
==6309== 
==6309== Thread 6:
==6309== Invalid free() / delete / delete[] / realloc()
==6309==    at 0x402B6F3: free (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==    by 0x123D1087: ???
==6309==  Address 0x6f0d230 is 0 bytes inside data symbol "noai6ai_cached"
==6309== 
==6309== 
==6309== HEAP SUMMARY:
==6309==     in use at exit: 1,107,566,457 bytes in 3,837,269 blocks
==6309==   total heap usage: 40,829,892 allocs, 36,992,624 frees, 6,445,237,606 bytes allocated
==6309== 
==6309== 
==6309==     Valgrind's memory management: out of memory:
==6309==        newSuperblock's request for 15351808 bytes failed.
==6309==        2749501440 bytes have already been allocated.
==6309==     Valgrind cannot continue.  Sorry.
==6309== 
==6309==     There are several possible reasons for this.
==6309==     - You have some kind of memory limit in place.  Look at the
==6309==       output of 'ulimit -a'.  Is there a limit on the size of
==6309==       virtual memory or address space?
==6309==     - You have run out of swap space.
==6309==     - Valgrind has a bug.  If you think this is the case or you are
==6309==     not sure, please let us know and we'll try to fix it.
==6309==     Please note that programs can take substantially more memory than
==6309==     normal when running under Valgrind tools, eg. up to twice or
==6309==     more, depending on the tool.  On a 64-bit machine, Valgrind
==6309==     should be able to make use of up 32GB memory.  On a 32-bit
==6309==     machine, Valgrind should be able to use all the memory available
==6309==     to a single process, up to 4GB if that's how you have your
==6309==     kernel configured.  Most 32-bit Linux setups allow a maximum of
==6309==     3GB per process.
==6309== 
==6309==     Whatever the reason, Valgrind cannot continue.  Sorry.
Comment 10 caulier.gilles 2015-06-25 13:13:44 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 11 caulier.gilles 2015-08-20 06:49:33 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 12 caulier.gilles 2016-07-09 16:00:05 UTC
This problem is not reproducible with last 5.0.0.
I close this file now. Don't hesitate to re-open it if necessary.
Gilles Caulier